/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package factura40;

import java.util.ArrayList;

/**
 *
 * @author Oscar
 */
public enum CMotivoCancelacion {
    
    c_MotivoCancelacion_01("Comprobante emitido con errores con relación"),
    c_MotivoCancelacion_02("Comprobante emitido con errores sin relación"),
    c_MotivoCancelacion_03("No se llevó a cabo la operación"),
    c_MotivoCancelacion_04("Operación nominativa relacionada en una factura global");
    
    String valor;

    private CMotivoCancelacion(String aValor) {
        valor = aValor;
    }
    
    public String value() {
        return name();
    }

    public String getValor() {
        return valor;
    }
    
    public static ArrayList<String> listaMotivoCancelacion(){
        ArrayList<String> lista = new ArrayList<>();
        
        for (CFormaPago FormaPago : CFormaPago.values()){
            lista.add(FormaPago.getValor());
        }
        return lista;
    } 

    public String codValue() {
        return name().substring(20, name().length());

    }
    
     public static CMotivoCancelacion fromValue(String v) {
        for (CMotivoCancelacion valor : CMotivoCancelacion.values()) {
            if (valor.getValor().equals(v)) {
                return valor;
            }
        }

        return valueOf(v);
    }
    
}
